
QGIS Application - Bug report #16595

No "Recently used expressions" in expression editor

2017-05-22 12:35 PM - Saber Razmjooei

Status: Closed

Priority: High

Assignee:

Category: Expressions

Affected QGIS version:2.18.8 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24497

Description

The option to show previously used expressions have been removed from 2.18.8

Related issues:

Related to QGIS Application - Bug report # 16589: No fields display in expres... Closed 2017-05-21

Associated revisions

Revision 20dde725 - 2017-05-23 12:17 AM - Nyall Dawson

Followup 2185d42, fix missing field names in expression builder

(fixes #16589, #16595)

cherry-picked from 9a19a5f

History

#1 - 2017-05-22 05:36 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Affected QGIS version changed from 2.18.7 to 2.18.8

- Regression? changed from No to Yes

Hi Saber,

if confirmed is a regression, but i just tested on Linux and Windows and I can see that group in both

"Recent (fieldcalc)"

#2 - 2017-05-22 05:50 PM - Giovanni Manghi

eventually not duplicate of #16589 ?

#3 - 2017-05-22 06:26 PM - Harrissou Santanna

Giovanni, it appears in Field Calculator (also does the "fields and values" group) but not in the "Select by expression" dialog (tested on Windows 10)
#4 - 2017-05-22 06:31 PM - Giovanni Manghi

Harrissou Santanna wrote:

Giovanni, it appears in Field Calculator (also does the "fields and values" group) but not in the "Select by expression" dialog (tested on Windows 10)

oh... right...

#5 - 2017-05-23 12:18 AM - Nyall Dawson

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|20dde725c4bfeb6c920ecd0b60d3604aaf1be991.

#6 - 2017-05-25 10:37 AM - Jürgen Fischer

- Duplicates Bug report #16589: No fields display in expression editor under Fields an values (QGIS 2.18.8) added

#7 - 2017-05-25 10:38 AM - Jürgen Fischer

- Duplicates deleted (Bug report #16589: No fields display in expression editor under Fields an values (QGIS 2.18.8))

#8 - 2017-05-25 10:38 AM - Jürgen Fischer

- Related to Bug report #16589: No fields display in expression editor under Fields an values (QGIS 2.18.8) added
